Package ch.qos.logback.core.recovery

# Class ResilientOutputStreamBase

java.lang.Object
java.io.OutputStream
ch.qos.logback.core.recovery.ResilientOutputStreamBase

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Direct Known Subclasses:
  `ResilientFileOutputStream`, `ResilientSyslogOutputStream`

public abstract class ResilientOutputStreamBase extends OutputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected OutputStream`
`os`
`protected boolean`
`presumedClean`

## Constructor Summary

Constructors
Constructor
Description
`ResilientOutputStreamBase()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStatus(Status status)`
`void`
`close()`
`void`
`flush()`
`Context`
`getContext()`
`void`
`postIOFailure(IOException e)`
`void`
`setContext(Context context)`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### os

protected OutputStream os

### presumedClean

protected boolean presumedClean

## Constructor Details

### ResilientOutputStreamBase

public ResilientOutputStreamBase()

## Method Details

### write

public void write(byte[] b, int off, int len)

Overrides:
  `write` in class `OutputStream`

### write

public void write(int b)

Specified by:
  `write` in class `OutputStream`

### flush

public void flush()

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`

### postIOFailure

public void postIOFailure(IOException e)

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

### addStatus

public void addStatus(Status status)

### getContext

public Context getContext()

### setContext

public void setContext(Context context)